import { useEffect, useState } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/waseem-medhat/78db60bb38f3ab5bed828052c250aa73/raw/alc.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    d.alc_begin = +d.alc_begin;
    d.alc_end = +d.alc_end;
    return d;
  };

  useEffect(() => {
    csv(csvUrl, row).then((data) =>
      setData(data.slice(0, 15).filter((d) => d.id !== '8'))
    );
  }, []);

  return data;
};